Bug 55717 - Bad handling of Redirect when URLs are in relative format by HttpClient4 and HttpClient31
Bad handling of Redirect when URLs are in relative format by HttpClient4 and ...
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.10
All All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-10-29 03:23 UTC by John
Modified: 2013-12-12 21:54 UTC (History)
1 user (show)



Attachments
JSP to reproduce issue (1.49 KB, text/plain)
2013-11-02 21:57 UTC, Philippe Mouawad
Details
JMeter Test Plan (8.54 KB, application/xml)
2013-11-02 21:58 UTC, Philippe Mouawad
Details
jmeter log from nightly build (7.99 KB, text/plain)
2013-11-06 07:27 UTC, John
Details
jmeter log with error - version 2.10 (14.69 KB, text/plain)
2013-11-06 07:29 UTC, John
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John 2013-10-29 03:23:10 UTC
Upgraded to the latest package however when running a test plan for the app, a NullPointerException is received in the UI and test fails. 

The jmeter log has the following exception: 

2013/10/23 17:20:30 INFO  - jmeter.engine.StandardJMeterEngine: All thread groups have been started 
2013/10/23 17:20:30 INFO  - jmeter.threads.JMeterThread: Thread started: NTG Browse Group 1-1 
2013/10/23 17:20:30 INFO  - jmeter.services.FileServer: Stored: ../testdata/username_sit_ntg.csv Alias: ../testdata/username_sit_ntg.csv@1408643709 
2013/10/23 17:20:31 ERROR - jmeter.protocol.http.sampler.HTTPHC4Impl: Error in redirect URL for GET https://XXXXX.XXXX.dev/obrar.cgi?encreply=Xn6LAHN93bO81vHLGrz6wH9hte82bJnPye388W2XAxzFQJRs%2F%2BTuhrOyJ6wESml5AfMsPQ9BNEF9c77RpQOkHuSVba6Hp%2FpjDAcWbAKPwFVPywMvWhD4nbsTcnGwUiX8HaGtgsOEXv5uocU7OLF9rlRMWtMTw4u0gcPTy%2FzrPCpXiAPGIEx%2BmFCGnscNdYnlxuGuVdCljjdv0YOZuIaaVx%2Bs4dREIipHjj9cWMK5hC9kIt99%2Fs5CmwDd5o5vvUxBeojZglT4CcQSyPM3Mp0faAcj51iVSYQDbhYCcAIYQmkDnm6sy%2BV9XnWmS%2B4YQi1rumAWFOYUZA47UJrerdbt71PeeQO%2BWOEyTTWvlLoSMFLY5C%2F255lL1BNLgOdx%2BVcTiJcgGGGS%2BVoWfAC2y5OfVrZIfFAwtUxZfnQQahNoLEwkLVOBbBT6TrPqv3itEQtIOFLxsR0VzIPxfTcW2jdEKS8YAQSMkHoUm%2Foy0j4hs0nuldroQCmB8WYBPUm8%2BSm7oeZQfohpuDrOjiyXIafVehSRepsF3KtCRyRm8acprudxYQyzkrjTwyfW4SsJqLSeKJ6x9DKS75Kb3NyZrfMHp414a6blBszDqMGgYR7sjP%2BjnAVE7Z3w9jOs2D0OW%2FAhBpguHKUTadvkfef%2BAVfhDw9C%2BWSp4tn42DwU%2BIFdZVw2X17Lv8DaOL96LveNO4RRdpf7jlZhqjWpB0FMPDAjG5NBbAi2a2cqau%2BSzZLh%2FKJexnplM5E7Ibll3Kwbm8SBYsLeASsBnWD4zINteVthjSQ1o2nxNKUFgicv2oHGUlg%3D HTTP/1.1
        Could not sanitize URL: /portal/c/portal/login?loginredirect=true 
         java.net.MalformedURLException: no protocol: /portal/c/portal/login?loginredirect=true 
        at java.net.URL.<init>(URL.java:567) 
        at java.net.URL.<init>(URL.java:464) 
        at java.net.URL.<init>(URL.java:413) 
        at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:337) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.followRedirects(HTTPSamplerBase.java:1411) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.resultProcessing(HTTPSamplerBase.java:1482) 
        at org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl.resultProcessing(HTTPAbstractImpl.java:306) 
        at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:381) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1105) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1094) 
        at org.apache.jmeter.threads.JMeterThread.process_sampler(JMeterThread.java:429) 
        at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:257) 
        at java.lang.Thread.run(Thread.java:662) 

2013/10/23 17:20:31 ERROR - jmeter.samplers.SampleResult: sampleEnd called twice java.lang.Throwable: Invalid call sequence 
        at org.apache.jmeter.samplers.SampleResult.sampleEnd(SampleResult.java:1033) 
        at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:390) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1105) 
        at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1094) 
        at org.apache.jmeter.threads.JMeterThread.process_sampler(JMeterThread.java:429) 
        at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:257) 
        at java.lang.Thread.run(Thread.java:662) 

2013/10/23 17:20:31 INFO  - jmeter.threads.JMeterThread: Thread finished: NTG Browse Group 1-1 
2013/10/23 17:20:31 INFO  - jmeter.engine.StandardJMeterEngine: Notifying test listeners of end of test
Comment 2 Philippe Mouawad 2013-11-02 16:39:00 UTC
Could you provide the full jmeter.log showing null pointer exception ? 
Thank you
Comment 3 Philippe Mouawad 2013-11-02 21:54:40 UTC
Date: Sat Nov  2 21:53:49 2013
New Revision: 1538291

URL: http://svn.apache.org/r1538291
Log:
Bug 55717 - Bad handling of Redirect when URLs are in relative format by HttpClient4 and HttpClient31
Bugzilla Id: 55717

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC3Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/util/ConversionUtils.java
    jmeter/trunk/xdocs/changes.xml
Comment 4 Philippe Mouawad 2013-11-02 21:57:52 UTC
Created attachment 31001 [details]
JSP to reproduce issue

Put this jsp in /examples/jsp/ of a Tomcat 6 installation
Comment 5 Philippe Mouawad 2013-11-02 21:58:38 UTC
Created attachment 31002 [details]
JMeter Test Plan
Comment 6 Philippe Mouawad 2013-11-02 22:08:31 UTC
Hello,
Could you give nightly build a try to check issue is fixed for you ?:
see:

http://jmeter.apache.org/nightly.html

 Installing JMeter runtime
Download the _bin and _lib files
Unpack the archives into the same directory structure
The other archives are not needed to run JMeter.
Comment 7 John 2013-11-06 07:19:43 UTC
Hi, 
Can confirm that the nightly build (& JAVA Implementation workaround) resolve this issue. 

Regards
John
Comment 8 John 2013-11-06 07:27:41 UTC
Created attachment 31013 [details]
jmeter log from nightly build

Jmeter log from nightly build  - resolved
Comment 9 John 2013-11-06 07:29:35 UTC
Created attachment 31014 [details]
jmeter log with error - version 2.10


Jmeter log containing the error in version 2.10 (MalformedURLException not nullpointer as initial comment).
Comment 10 John 2013-11-06 07:30:34 UTC
Comment on attachment 31013 [details]
jmeter log from nightly build

>2013/11/06 18:24:40 INFO  - jmeter.util.JMeterUtils: Setting Locale to en_AU 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: Loading user properties from: D:\software\jmeter\apache-jmeter-nightly\bin\user.properties 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: Loading system properties from: D:\software\jmeter\apache-jmeter-nightly\bin\system.properties 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: Copyright (c) 1998-2013 The Apache Software Foundation 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: Version r1538742 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: java.version=1.7.0_45 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: java.vm.name=Java HotSpot(TM) 64-Bit Server VM 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: os.name=Windows 8 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: os.arch=amd64 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: os.version=6.2 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: file.encoding=Cp1252 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: Default Locale=English (Australia) 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: JMeter  Locale=English (Australia) 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: JMeterHome=D:\software\jmeter\apache-jmeter-nightly 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: user.dir  =D:\software\jmeter\apache-jmeter-nightly\bin 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: PWD       =D:\software\jmeter\apache-jmeter-nightly\bin 
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: IP: xxxxxxxx Name: xxxxxx FullName: xxxxxxxxx
>2013/11/06 18:24:40 INFO  - jmeter.JMeter: Loaded icon properties from org/apache/jmeter/images/icon.properties 
>2013/11/06 18:24:41 INFO  - jmeter.engine.util.CompoundVariable: Note: Function class names must contain the string: '.functions.' 
>2013/11/06 18:24:41 INFO  - jmeter.engine.util.CompoundVariable: Note: Function class names must not contain the string: '.gui.' 
>2013/11/06 18:24:41 INFO  - jmeter.gui.action.LookAndFeelCommand: Using look and feel: javax.swing.plaf.metal.MetalLookAndFeel [Metal, CrossPlatform] 
>2013/11/06 18:24:42 WARN  - jmeter.gui.util.MenuFactory: Missing jar? Could not create com.googlecode.jmeter.plugins.webdriver.sampler.gui.WebDriverSamplerGui. java.lang.NoClassDefFoundError: jsyntaxpane/DefaultSyntaxKit 
>2013/11/06 18:24:42 INFO  - jmeter.gui.util.MenuFactory: Skipping kg.apc.jmeter.config.VariablesFromCSVFile 
>2013/11/06 18:24:42 INFO  - jmeter.util.BSFTestElement: Registering JMeter version of JavaScript engine as work-round for BSF-22 
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Cannot find .className property for htmlParser, using default 
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for text/html is  
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for application/xhtml+xml is  
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for application/xml is  
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for text/xml is  
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for text/vnd.wap.wml is org.apache.jmeter.protocol.http.parser.RegexpHTMLParser 
>2013/11/06 18:24:42 INFO  - jmeter.gui.util.MenuFactory: Skipping org.apache.jmeter.protocol.http.control.gui.WebServiceSamplerGui 
>2013/11/06 18:24:42 INFO  - jmeter.gui.util.MenuFactory: Skipping org.apache.jmeter.protocol.http.modifier.gui.ParamModifierGui 
>2013/11/06 18:24:42 INFO  - jmeter.protocol.http.proxy.ProxyControl: HTTP(S) Test Script Recorder SSL Proxy will use keys that support embedded 3rd party resources in file D:\software\jmeter\apache-jmeter-nightly\bin\proxyserver.jks 
>2013/11/06 18:24:43 INFO  - jmeter.samplers.SampleResult: Note: Sample TimeStamps are START times 
>2013/11/06 18:24:43 INFO  - jmeter.samplers.SampleResult: sampleresult.default.encoding is set to ISO-8859-1 
>2013/11/06 18:24:43 INFO  - jmeter.samplers.SampleResult: sampleresult.useNanoTime=true 
>2013/11/06 18:24:43 INFO  - jmeter.samplers.SampleResult: sampleresult.nanoThreadSleep=5000 
>2013/11/06 18:24:47 INFO  - jmeter.services.FileServer: Default base='D:\software\jmeter\apache-jmeter-nightly\bin' 
>2013/11/06 18:24:47 INFO  - jmeter.gui.action.Load: Loading file: D:\software\jmeter\artefacts\tests\Portal_JMETER_210.jmx 
>2013/11/06 18:24:47 INFO  - jmeter.services.FileServer: Set new base='D:\software\jmeter\artefacts\tests' 
>2013/11/06 18:24:47 INFO  - jmeter.save.SaveService: Testplan (JMX) version: 2.2. Testlog (JTL) version: 2.2 
>2013/11/06 18:24:47 INFO  - jmeter.save.SaveService: Using SaveService properties file encoding UTF-8 
>2013/11/06 18:24:47 INFO  - jmeter.save.SaveService: Using SaveService properties version 2.5 
>2013/11/06 18:24:47 INFO  - jmeter.save.SaveService: Using SaveService properties file version 1519088 
>2013/11/06 18:24:47 INFO  - jmeter.save.SaveService: All converter versions present and correct 
>2013/11/06 18:24:47 INFO  - jmeter.protocol.http.control.CookieManager: Settings: Delete null: true Check: true Allow variable: true Save: false Prefix: COOKIE_ 
>2013/11/06 18:24:47 INFO  - jmeter.services.FileServer: Set new base='D:\software\jmeter\artefacts\tests' 
>2013/11/06 18:24:57 INFO  - jmeter.engine.StandardJMeterEngine: Listeners will be started after enabling running version 
>2013/11/06 18:24:57 INFO  - jmeter.engine.StandardJMeterEngine: To revert to the earlier behaviour, define jmeterengine.startlistenerslater=false 
>2013/11/06 18:24:57 INFO  - jmeter.engine.StandardJMeterEngine: Running the test! 
>2013/11/06 18:24:57 INFO  - jmeter.samplers.SampleEvent: List of sample_variables: [] 
>2013/11/06 18:24:57 INFO  - jmeter.samplers.SampleEvent: List of sample_variables: [] 
>2013/11/06 18:24:57 INFO  - jmeter.gui.util.JMeterMenuBar: setRunning(true,*local*) 
>2013/11/06 18:24:58 INFO  - jmeter.engine.StandardJMeterEngine: Starting ThreadGroup: 1 : NTG Browse Group 
>2013/11/06 18:24:58 INFO  - jmeter.engine.StandardJMeterEngine: Starting 1 threads for group NTG Browse Group. 
>2013/11/06 18:24:58 INFO  - jmeter.engine.StandardJMeterEngine: Thread will start next loop on error 
>2013/11/06 18:24:58 INFO  - jmeter.threads.ThreadGroup: Starting thread group number 1 threads 1 ramp-up 30 perThread 30000.0 delayedStart=false 
>2013/11/06 18:24:58 INFO  - jmeter.threads.JMeterThread: jmeterthread.startearlier=true (see jmeter.properties) 
>2013/11/06 18:24:58 INFO  - jmeter.threads.JMeterThread: Running PostProcessors in forward order 
>2013/11/06 18:24:58 INFO  - jmeter.threads.ThreadGroup: Started thread group number 1 
>2013/11/06 18:24:58 INFO  - jmeter.engine.StandardJMeterEngine: All thread groups have been started 
>2013/11/06 18:24:58 INFO  - jmeter.threads.JMeterThread: Thread started: NTG Browse Group 1-1 
>2013/11/06 18:24:58 INFO  - jmeter.services.FileServer: Stored: ../testdata/username_sit_ntg.csv Alias: ../testdata/username_sit_ntg.csv@129757895 
>2013/11/06 18:24:58 INFO  - jmeter.protocol.http.sampler.HTTPHCAbstractImpl: Local host = john-tpc 
>2013/11/06 18:24:58 INFO  - jmeter.protocol.http.sampler.HTTPHC4Impl: HTTP request retry count = 0 
>2013/11/06 18:24:58 INFO  - jmeter.protocol.http.sampler.HTTPHC4Impl: Setting up HTTPS TrustAll scheme 
>2013/11/06 18:24:58 INFO  - jmeter.util.JsseSSLManager: Using default SSL protocol: TLS 
>2013/11/06 18:24:58 INFO  - jmeter.util.JsseSSLManager: SSL session context: per-thread 
>2013/11/06 18:24:58 INFO  - jmeter.util.SSLManager: JmeterKeyStore Location:  type JKS 
>2013/11/06 18:24:58 INFO  - jmeter.util.SSLManager: KeyStore created OK 
>2013/11/06 18:24:58 WARN  - jmeter.util.SSLManager: Keystore file not found, loading empty keystore 
>2013/11/06 18:24:58 INFO  - jmeter.protocol.http.parser.HTMLParser: Created org.apache.jmeter.protocol.http.parser.LagartoBasedHtmlParser 
>2013/11/06 18:25:04 INFO  - jmeter.threads.JMeterThread: Thread finished: NTG Browse Group 1-1 
>2013/11/06 18:25:04 INFO  - jmeter.engine.StandardJMeterEngine: Notifying test listeners of end of test 
>2013/11/06 18:25:04 INFO  - jmeter.services.FileServer: Close: ../testdata/username_sit_ntg.csv@129757895 
>2013/11/06 18:25:04 INFO  - jmeter.gui.util.JMeterMenuBar: setRunning(false,*local*)
Comment 11 Nicholas Jasieniecki 2013-12-04 16:54:54 UTC
This still seems broken in my 2.10 installation? 

2013/12/04 10:49:48 INFO  - jmeter.JMeter: Copyright (c) 1998-2013 The Apache Software Foundation
2013/12/04 10:49:48 INFO  - jmeter.JMeter: Version 2.10 r1533061
2013/12/04 10:49:48 INFO  - jmeter.JMeter: java.version=1.6.0_35
2013/12/04 10:49:48 INFO  - jmeter.JMeter: java.vm.name=Java HotSpot(TM) 64-Bit Server VM
2013/12/04 10:49:48 INFO  - jmeter.JMeter: os.name=Mac OS X
2013/12/04 10:49:48 INFO  - jmeter.JMeter: os.arch=x86_64
2013/12/04 10:49:48 INFO  - jmeter.JMeter: os.version=10.7.5
2013/12/04 10:49:48 INFO  - jmeter.JMeter: file.encoding=MacRoman
2013/12/04 10:49:48 INFO  - jmeter.JMeter: Default Locale=English (United States)
2013/12/04 10:49:48 INFO  - jmeter.JMeter: JMeter  Locale=English (United States)
2013/12/04 10:49:48 INFO  - jmeter.JMeter: Loaded icon properties from org/apache/jmeter/images/icon.properties
2013/12/04 10:49:50 INFO  - jmeter.engine.util.CompoundVariable: Note: Function class names must contain the string: '.functions.'
2013/12/04 10:49:50 INFO  - jmeter.engine.util.CompoundVariable: Note: Function class names must not contain the string: '.gui.'
2013/12/04 10:49:50 INFO  - jmeter.gui.action.LookAndFeelCommand: Using look and feel: com.apple.laf.AquaLookAndFeel [Mac OS X, System]
2013/12/04 10:49:51 INFO  - jmeter.util.BSFTestElement: Registering JMeter version of JavaScript engine as work-round for BSF-22
2013/12/04 10:49:51 INFO  - jmeter.save.SaveService: Testplan (JMX) version: 2.2. Testlog (JTL) version: 2.2
2013/12/04 10:49:51 INFO  - jmeter.save.SaveService: Using SaveService properties file encoding UTF-8
2013/12/04 10:49:51 INFO  - jmeter.save.SaveService: Using SaveService properties version 2.5
2013/12/04 10:49:51 INFO  - jmeter.save.SaveService: Using SaveService properties file version 1519088
2013/12/04 10:49:51 INFO  - jmeter.save.SaveService: All converter versions present and correct
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.control.CookieManager: Settings: Delete null: true Check: true Allow variable: true Save: false Prefix: COOKIE_
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Cannot find .className property for htmlParser, using default
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for text/html is
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for application/xhtml+xml is
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for application/xml is
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for text/xml is
2013/12/04 10:49:51 INFO  - jmeter.protocol.http.sampler.HTTPSamplerBase: Parser for text/vnd.wap.wml is org.apache.jmeter.protocol.http.parser.RegexpHTMLParser
2013/12/04 10:49:52 INFO  - jmeter.gui.util.MenuFactory: Skipping org.apache.jmeter.protocol.http.control.gui.WebServiceSamplerGui
2013/12/04 10:49:52 INFO  - jmeter.gui.util.MenuFactory: Skipping org.apache.jmeter.protocol.http.modifier.gui.ParamModifierGui
2013/12/04 10:49:52 INFO  - jmeter.samplers.SampleResult: Note: Sample TimeStamps are START times
2013/12/04 10:49:52 INFO  - jmeter.samplers.SampleResult: sampleresult.default.encoding is set to ISO-8859-1
2013/12/04 10:49:52 INFO  - jmeter.samplers.SampleResult: sampleresult.useNanoTime=true
2013/12/04 10:49:52 INFO  - jmeter.samplers.SampleResult: sampleresult.nanoThreadSleep=5000
Dec  4 10:49:53 njasieniecki-mbp java[11337] <Error>: CGContextGetCTM: invalid context 0x0
Dec  4 10:49:53 njasieniecki-mbp java[11337] <Error>: CGContextSetBaseCTM: invalid context 0x0
Dec  4 10:49:53 njasieniecki-mbp java[11337] <Error>: CGContextGetCTM: invalid context 0x0
Dec  4 10:49:53 njasieniecki-mbp java[11337] <Error>: CGContextSetBaseCTM: invalid context 0x0
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: Listeners will be started after enabling running version
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: To revert to the earlier behaviour, define jmeterengine.startlistenerslater=false
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: Running the test!
2013/12/04 10:49:59 INFO  - jmeter.samplers.SampleEvent: List of sample_variables: []
2013/12/04 10:49:59 INFO  - jmeter.samplers.SampleEvent: List of sample_variables: []
2013/12/04 10:49:59 INFO  - jmeter.gui.util.JMeterMenuBar: setRunning(true,*local*)
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: Starting ThreadGroup: 1 : Thread Group
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: Starting 1 threads for group Thread Group.
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: Thread will continue on error
2013/12/04 10:49:59 INFO  - jmeter.threads.ThreadGroup: Starting thread group number 1 threads 1 ramp-up 0 perThread 0.0 delayedStart=false
2013/12/04 10:49:59 INFO  - jmeter.threads.JMeterThread: jmeterthread.startearlier=true (see jmeter.properties)
2013/12/04 10:49:59 INFO  - jmeter.threads.JMeterThread: Running PostProcessors in forward order
2013/12/04 10:49:59 INFO  - jmeter.threads.JMeterThread: Thread started: Thread Group 1-1
2013/12/04 10:49:59 INFO  - jmeter.threads.ThreadGroup: Started thread group number 1
2013/12/04 10:49:59 INFO  - jmeter.engine.StandardJMeterEngine: All thread groups have been started
2013/12/04 10:49:59 INFO  - jmeter.protocol.http.sampler.HTTPJavaImpl: Maximum connection retries = 10
2013/12/04 10:50:00 INFO  - jmeter.protocol.http.parser.HTMLParser: Created org.apache.jmeter.protocol.http.parser.LagartoBasedHtmlParser
2013/12/04 10:50:02 INFO  - jmeter.protocol.http.sampler.HTTPHCAbstractImpl: Local host = njasieniecki-mbp
2013/12/04 10:50:02 INFO  - jmeter.protocol.http.sampler.HTTPHC4Impl: HTTP request retry count = 0
2013/12/04 10:50:02 INFO  - jmeter.protocol.http.sampler.HTTPHC4Impl: Setting up HTTPS TrustAll scheme
2013/12/04 10:50:02 INFO  - jmeter.util.JsseSSLManager: Using default SSL protocol: TLS
2013/12/04 10:50:02 INFO  - jmeter.util.JsseSSLManager: SSL session context: per-thread
2013/12/04 10:50:02 INFO  - jmeter.util.SSLManager: JmeterKeyStore Location:  type JKS
2013/12/04 10:50:02 INFO  - jmeter.util.SSLManager: KeyStore created OK
2013/12/04 10:50:02 WARN  - jmeter.util.SSLManager: Keystore file not found, loading empty keystore
2013/12/04 10:50:06 ERROR - jmeter.protocol.http.sampler.HTTPHC4Impl: Error in redirect URL for GET http://ctix8.cheaptickets.com/dcsgcczd110000ggzyk1yj91s_7c7u/njs.gif?dcsuri=/nojavascript&WT.js=No&WT.tv=8.6.2 HTTP/1.1
	Could not sanitize URL: /dcsgcczd110000ggzyk1yj91s_7c7u/njs.gif?dcsredirect=126&dcstlh=0&dcstlv=0&dcsuri=/nojavascript&WT.js=No&WT.tv=8.6.2
	 java.net.MalformedURLException: no protocol: /dcsgcczd110000ggzyk1yj91s_7c7u/njs.gif?dcsredirect=126&dcstlh=0&dcstlv=0&dcsuri=/nojavascript&WT.js=No&WT.tv=8.6.2
	at java.net.URL.<init>(URL.java:567)
	at java.net.URL.<init>(URL.java:464)
	at java.net.URL.<init>(URL.java:413)
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:337)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.downloadPageResources(HTTPSamplerBase.java:1224)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.resultProcessing(HTTPSamplerBase.java:1501)
	at org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl.resultProcessing(HTTPAbstractImpl.java:306)
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:381)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.downloadPageResources(HTTPSamplerBase.java:1224)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.resultProcessing(HTTPSamplerBase.java:1501)
	at org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl.resultProcessing(HTTPAbstractImpl.java:306)
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:381)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1105)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1094)
	at org.apache.jmeter.threads.JMeterThread.process_sampler(JMeterThread.java:429)
	at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:257)
	at java.lang.Thread.run(Thread.java:680)

2013/12/04 10:50:06 ERROR - jmeter.samplers.SampleResult: sampleEnd called twice java.lang.Throwable: Invalid call sequence
	at org.apache.jmeter.samplers.SampleResult.sampleEnd(SampleResult.java:1033)
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:390)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.downloadPageResources(HTTPSamplerBase.java:1224)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.resultProcessing(HTTPSamplerBase.java:1501)
	at org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl.resultProcessing(HTTPAbstractImpl.java:306)
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:381)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.downloadPageResources(HTTPSamplerBase.java:1224)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.resultProcessing(HTTPSamplerBase.java:1501)
	at org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl.resultProcessing(HTTPAbstractImpl.java:306)
	at org.apache.jmeter.protocol.http.sampler.HTTPHC4Impl.sample(HTTPHC4Impl.java:381)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerProxy.sample(HTTPSamplerProxy.java:74)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1105)
	at org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.sample(HTTPSamplerBase.java:1094)
	at org.apache.jmeter.threads.JMeterThread.process_sampler(JMeterThread.java:429)
	at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:257)
	at java.lang.Thread.run(Thread.java:680)

2013/12/04 10:50:08 INFO  - jmeter.gui.action.Start: Stopping test
2013/12/04 10:50:08 INFO  - jmeter.threads.JMeterThread: Stopping: Thread Group 1-1
2013/12/04 10:50:08 WARN  - jmeter.threads.JMeterThread: Interrupting: Thread Group 1-1 sampler: Delay
2013/12/04 10:50:08 INFO  - jmeter.threads.JMeterThread: Thread finished: Thread Group 1-1
2013/12/04 10:50:08 INFO  - jmeter.engine.StandardJMeterEngine: Notifying test listeners of end of test
2013/12/04 10:50:08 INFO  - jmeter.gui.util.JMeterMenuBar: setRunning(false,*local*)
Comment 12 Philippe Mouawad 2013-12-04 17:02:42 UTC
Hello,
Issue affects 2.10 (Full name : 2.10 r1533061).
So it is regular that it does not work as bug is fixed in nightly build.
To see if it is fixed you need to use nightly build:
http://jmeter.apache.org/nightly.html
Comment 13 Nicholas Jasieniecki 2013-12-04 19:20:57 UTC
Apologies. I read the Version  + fixed as the fix version, rather than the reported in version.
Comment 14 Philippe Mouawad 2013-12-04 22:16:47 UTC
No problem, your feedback on nightly build is welcome :)
Comment 15 Philippe Mouawad 2013-12-12 21:54:51 UTC
Date: Thu Dec 12 21:53:53 2013
New Revision: 1550547

URL: http://svn.apache.org/r1550547
Log:
Bug 55717 - Bad handling of Redirect when URLs are in relative format by HttpClient4 and HttpClient31
Add property to control redirect handling
See:
http://mail-archives.apache.org/mod_mbox/jmeter-dev/201312.mbox/%3CCAOGo0VaYNmSw9wEA_jx8qb3g1NTAOHsF360aWGyevAsGXJ7D6Q%40mail.gmail.com%3E
Bugzilla Id: 55717

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC3Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/xdocs/changes.xml